module developer;

import employee;
import std.stdio : writeln;

class Developer : Employee
{
private:
    string name;
    int empId;
    string position;
public:
    this(int empId, string name, string position)
    {
        this.empId = empId;
        this.name = name;
        this.position = position;
    }

    override void showEmployDetails()
    {
        writeln(empId, " ", name, " ", position);
    }
}
